<?php
require_once __DIR__ . '/app.controller.php';
require_once __DIR__ . '/../lib/admin.class.php';

class AdminController extends AppController
{

    public function __construct()
    {
        $admin = new Admin();
        if (!$admin->validateAdmin()) {
            self::throwForbiddenRequestHTTPError();
        }
    }

    public static function login()
    {
        $email = $_POST['email'] ?? null;
        $password = $_POST['password'] ?? null;
        $remember = $_POST['rememberMe'] ?? null;
        if ($email !== null && $password !== null) {
            $admin = new Admin();
            try {
                $response = $admin->login($email, $password, $remember !== null ? true : false);
                self::json($response);
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public static function addAdmin()
    {

        $firstName = $_POST['firstName'] ?? null;
        $lastName = $_POST['lastName'] ?? null;
        $email = $_POST['email'] ?? null;
        $password = $_POST['password'] ?? null;
        $appSecret = $_POST['appSecret'] ?? null;
        if ($firstName !== null && $lastName !== null && $email !== null && $password !== null && $appSecret !== null) {
            $admin = new Admin();
            self::json($admin->addAdmin($firstName, $lastName, $email, $password, $appSecret));
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function addProfit()
    {
        $id = $_POST['id'] ?? null;
        $amount = $_POST['amount'] ?? null;
        if ($id !== null && $amount !== null) {
            try {
                $admin = new Admin();
                self::json(
                    $admin->addProfitToInvestment($id, $amount)
                );
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function topupAccount()
    {
        $email = $_POST['email'] ?? null;
        $amount = $_POST['amount'] ?? null;
        $description = $_POST['description'] ?? null;
        if ($email !== null && $amount !== null && $description !== null) {
            try {
                $admin = new Admin();
                self::json(
                    $admin->topUpAccount($email, (float) $amount, $description)
                );
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function allAdmin()
    {
        try {
            $admin = new Admin();
            self::json($admin->getAllAdmin());
        } catch (Exception $e) {
            self::throwHTTPError($e->getMessage(), $e->getCode());
        }
    }

    public function allUsers()
    {
        $page = $_GET['page'] ?? 1;
        $email = $_GET['email'] ?? '';
        $itemsPerPage = $_GET['itemsPerPage'] ?? 10;
        try {
            $admin = new Admin();
            self::json($admin->getAllUsers($page, $itemsPerPage, $email));
        } catch (Exception $e) {
            self::throwHTTPError($e->getMessage(), $e->getCode());
        }
    }

    public function approveInvestmentPayment()
    {
        $id = $_POST['id'] ?? null;
        if ($id !== null) {
            try {
                $admin = new Admin();
                self::json($admin->approveInvestmentPayment((int) $id));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }
    
    public function editInvestmentPaymentTime()
    {
        $id = $_POST['id'] ?? null;
        $time = $_POST['time'] ?? null;
        if ($id !== null && $time !== null) {
            try {
                $admin = new Admin();
                self::json($admin->editInvestmentPaymentTime($time, (int) $id));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function approveWithdrawalRequest()
    {
        $id = $_POST['id'] ?? null;
        if ($id !== null) {
            try {
                $admin = new Admin();
                self::json($admin->approveWithdrawalRequest((int) $id));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }
    
    public function editWithdrawalRequestTime()
    {
        $id = $_POST['id'] ?? null;
        $time = $_POST['time'] ?? null;
        if ($id !== null && $time !== null) {
            try {
                $admin = new Admin();
                self::json($admin->editWithdrawalRequestTime($time, (int) $id));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }
    
    public function editWithdrawalRejectMessage()
    {
        $id = $_POST['id'] ?? null;
        $msg = $_POST['message'] ?? null;
        if ($id !== null) {
            try {
                $admin = new Admin();
                self::json($admin->editWithdrawalRejectMessage((int) $id, $msg));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function deleteInvestmentPayment()
    {
        $id = $_POST['id'] ?? null;
        if ($id !== null) {
            try {
                $admin = new Admin();
                self::json($admin->deleteInvestmentPayment((int) $id));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function deleteWithdrawalRequest()
    {
        $id = $_POST['id'] ?? null;
        if ($id !== null) {
            try {
                $admin = new Admin();
                self::json($admin->deleteWithdrawalRequest((int) $id));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function deleteUser()
    {
        $id = $_GET['user_id'] ?? null;
        if ($id !== null) {
            try {
                $admin = new Admin();
                self::json($admin->deleteUser((int) $id));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }
    
    public function editLastLoginTime()
    {
        $id = $_POST['id'] ?? null;
        $time = $_POST['time'] ?? null;
        if ($id !== null && $time !== null) {
            try {
                $admin = new Admin();
                self::json($admin->editLastLoginTime($time, (int) $id));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public static function forgotPassword()
    {
        $email = $_GET['email'] ?? null;
        if ($email !== null) {
            $admin = new Admin();
            try {
                self::json($admin->forgotPassword($email));
            } catch (\Throwable $th) {
                self::throwHTTPError($th->getMessage(), $th->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public static function resetPassword()
    {
        $token = $_POST['token'] ?? null;
        $password = $_POST['password'] ?? null;

        if ($token !== null && $password !== null) {
            $admin = new Admin();
            try {
                self::json($admin->resetPassword($token, $password));
            } catch (\Throwable $th) {
                self::throwHTTPError($th->getMessage(), $th->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }



    public function dashboard()
    {
        $admin = new Admin();
        try {
            $admin = new Admin();
            self::json($admin->dashBoard());
        } catch (Exception $e) {
            self::throwHTTPError($e->getMessage(), $e->getCode());
        }
    }

    public function changePassword()
    {
        $old = $_POST['old'] ?? null;
        $new = $_POST['new'] ?? null;

        if ($old !== null && $new !== null) {
            try {
                $admin = new Admin();
                self::json($admin->changePassword($old, $new));
            } catch (Exception $e) {
                self::throwHTTPError($e->getMessage(), $e->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function investments()
    {
        $page = $_GET['page'] ?? null;
        $limit = $_GET['limit'] ?? null;

        if ($page !== null && $limit !== null) {
            $admin = new Admin();
            self::json($admin->getInvestments((int) $page, (int) $limit));
        } else {
            self::throwBadRequestHTTPError();
        }
    }


    public function investmentFullDetail()
    {
        $id = $_GET['id'] ?? null;

        if ($id !== null) {
            $admin = new Admin();
            try {
                self::json($admin->getInvestmentFullDetail($id));
            } catch (\Throwable $th) {
                throw new Exception($th->getMessage(), $th->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function withdrawals()
    {
        $page = $_GET['page'] ?? null;
        $limit = $_GET['limit'] ?? null;

        if ($page !== null && $limit !== null) {
            $admin = new Admin();
            self::json($admin->getWithdrawals((int) $page, (int) $limit));
        } else {
            self::throwBadRequestHTTPError();
        }
    }


    public function viewReferralInfo()
    {
        $admin = new Admin();
        $id = $_GET['id'] ?? null;

        if ($id !== null) {
            try {
                self::json($admin->viewReferralInfo($id));
            } catch (\Throwable $th) {
                throw new Exception($th->getMessage(), $th->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }

    public function toggleSuspend()
    {
        $id = $_GET['user_id'] ?? null;
        if ($id !== null) {
            $admin = new Admin();
            try {
                self::json($admin->toggleSuspendUser($id));
            } catch (\Throwable $th) {
                throw new Exception($th->getMessage(), $th->getCode());
            }
        } else {
            self::throwBadRequestHTTPError();
        }
    }
}
