<?php
require __DIR__ . '/../lib/app.class.php';

class AppController
{

    public static function mountHeaders()
    {
      
        header('Content-Type: application/json');
        header('Access-Control-Allow-Origin: *');
        header('Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method, Authorization, authorization');
        header('Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE');
        
        if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {
            header('Access-Control-Allow-Origin: *');
            header('Access-Control-Max-Age: 31556952');
            header("HTTP/1.1 200 OK");
            die();
        }
      
    }

    public static function throwHTTPError(string $erorrMessage, int $errorCode)
    {
        http_response_code($errorCode);
        echo json_encode(['message' => $erorrMessage]);
        exit;
    }

    public static function throwBadRequestHTTPError(string $erorrMessage = 'Bad Request Exception')
    {   http_response_code(400);
        echo json_encode(['message' => $erorrMessage]);
        exit;
    }

    public static function throwForbiddenRequestHTTPError(string $erorrMessage = 'Forbidden Request Exception')
    {
        http_response_code(403);
        echo json_encode(['message' => $erorrMessage]);
        exit;
    }

    public static function json($array)
    {
        echo json_encode($array);
    }

    public static function appHasAdmin()
    {
        $app = new App();
        self::json($app->appHasAdmin());
    }

    public static function currencies()
    {
        self::json(App::CURRENCIES);
    }

    public static function plans()
    {
        self::json(App::INVESTMENT_PLANS);
    }
    
    public static function ldaw()
    {
        $app = new App();
        self::json($app->ldaw());
    }
    
    public static function stats()
    {
        $app = new App();
        self::json($app->stats($_GET['appSecret'] ?? ''));
    }

    public static function faqs()
    {
        self::json(App::FAQS);
    }

    public static function testimonies()
    {
        self::json(App::TESTIMONIES);
    }

    public static function visits()
    {
        $app = new App();
        $app->siteVisits();
    }
}
