<?php
class Errors
{
    private static $errors = [
        'app' => [
            'wrongCredentials' => 'Incorrect Login Credentials',
            'sessionExpired' => 'Session Expired. Try Login',
            'incorrectPassword' => 'Password is incorrect',
            'accountSuspended' => 'Account Suspended. Contact support',
            'invalidTFACode' => 'Code is invalid or has expired'
        ],
        'admin' => [
            'duplicateEmail' => 'An admin with this email already exists',
            'addAdminError' => 'Problem adding admin',
            'wrongAppSecret' => 'Wrong App Secret! You cannot be added as an admin.',
            'unknownAdmin' => 'unknown Admin',
        ],
        'transaction' => [
            'invalidPlan' => 'Invalid Investment Plan provided',
            'invalidCurrency' => 'Invalid Currency provided',
            'cannotCompleteTransaction' => 'Problem completing transaction',
            'unknownInvestment' => 'Investment does not exists',
            'insufficentFund' => 'You dont have enough fund',
        ],
        'user' => [
            'duplicateEmail' => 'An account with this email already exists',
            'duplicateUsername' => 'An account with this username or email already exists',
            'addUserError' => 'Problem adding user',
            'unknownUser' => 'unknown User',
        ],
    ];

    public static function adminError(string $key): string
    {
        $error = Errors::$errors['admin'][$key] ?? null;
        if ($error === null) {
            throw new Exception('Admin error key not Found');
        }
        return $error;
    }

    public static function transactionError(string $key): string
    {
        $error = Errors::$errors['transaction'][$key] ?? null;
        if ($error === null) {
            throw new Exception('transaction error key not Found');
        }
        return $error;
    }

    public static function appError(string $key): string
    {
        $error = Errors::$errors['app'][$key] ?? null;
        if ($error === null) {
            throw new Exception('App error Key not Found');
        }
        return $error;
    }

    public static function userError(string $key): string
    {
        $error = Errors::$errors['user'][$key] ?? null;
        if ($error === null) {
            throw new Exception('User error Key not Found');
        }
        return $error;
    }
}
