<?php
require_once 'database.class.php';

class App
{
    private $conn = null;

    public const UPLOADS_DIR_PATH = [
        'images' => [
            'exams' => 'uploads/images/exams',
            'users' => 'uploads/images/users',
        ],
    ];

    public const CURRENCIES = [
        [
            'id' => 1,
            'name' => 'Bitcoin',
            'walletAddress' => '19M3qJ74LSkV9rkjNZqwxLtYF65NiqrsYb',
        ],
        [
            'id' => 2,
            'name' => 'Etherium',
            'walletAddress' => '0xa10111fCf13DE416d2755D89Cd3fF1fadB33C3D4',
        ],
        [
            'id' => 3,
            'name' => 'Bitcoin Cash',
            'walletAddress' => 'qpdchv92dnzk6f5nc3q2dcsksdep8xl5rvpuggns44',
        ],
        [
            'id' => 4,
            'name' => 'Doge Coin',
            'walletAddress' => 'DJvLQPEZZzMw3QyqSN5Cf81tNXRXqbCHXq',
        ],
        [
            'id' => 5,
            'name' => 'BNB',
            'walletAddress' => 'bnb136ns6lfw4zs5hg4n85vdthaad7hq5m4gtkgf23',
        ],
        [
            'id' => 6,
            'name' => 'BNB Memo',
            'walletAddress' => '100475168',
        ],
        
    ];

    public const INVESTMENT_PLANS = [
        [
            'id' => 1,
            'name' => 'Bronze Plan',
            'percentIncrease' => 20,
            'minimumDeposit' => 100,
            'maximumDeposit' => 500,
            'durationInHours' => (24 * 30),
            'maximimuInvestmentCount' => null,
            'maximumTurnOutCount' => null,
            'image' => '1.jpg',
        ],
        [
            'id' => 2,
            'name' => 'Silver Plan',
            'percentIncrease' => 30,
            'minimumDeposit' => 600,
            'maximumDeposit' => 1000,
            'durationInHours' => (24 * 30),
            'maximimuInvestmentCount' => null,
            'maximumTurnOutCount' => null,
            'image' => '2.jpg',
        ],
        [
            'id' => 3,
            'name' => 'Gold Plan',
            'percentIncrease' => 40,
            'minimumDeposit' => 1100,
            'maximumDeposit' => 5000,
            'durationInHours' => 24 * 60,
            'maximimuInvestmentCount' => null,
            'maximumTurnOutCount' => null,
            'image' => '3.jpg',
        ],
        
        [
            'id' => 4,
            'name' => 'Premium Plan',
            'percentIncrease' => 50,
            'minimumDeposit' => 6000,
            'maximumDeposit' => 10000,
            'durationInHours' => (24 * 90),
            'maximimuInvestmentCount' => null,
            'maximumTurnOutCount' => null,
            'image' => '4.jpg',
        ],
    ];

    public const SETTINGS = [
        'site_name' => 'NgTrade xPay',
        'name' => 'NgTrade xPay Investment',
        'domain' => 'ngtradexpay.com',
        'autoProfit' => true,
    ];

    public const TESTIMONIES = [
        [
            'name' => 'SARAH MACDOUGAL',
            'message' => 'I had heard about NgTrade xPay Investment but didn’t know much about it. Then I stumbled on to your site and started going through it. I have previously read about your site, which is a regulated broker and decided to start trading with you guys. Now after 18 days, I’ve made €12,500 and feel confident of making more in the coming months. Thank you for guiding me into the world of swedish trade limited',
            'image' => '01.jpg',
        ],
        [
            'name' => 'MARTIN L. BARRON JR',
            'message' => 'I visited your web site today and found it very interesting and well done. I can tell you have put a lot of work into it',
            'image' => '2.jpg',
        ],
        [
            'name' => 'TECGUAN, MYANMAR',
            'message' => 'Your site is exactly what I have looking for!! It certainly helps a frequent traveler like me to locate all the stamp shows when traveling. Keep up with the good work',
            'image' => '3.jpg',
        ],
        [
            'name' => 'PAULA WILSON',
            'message' => 'Hello - just wanted to to thank you for the link at stamps.com and also to tell you I have placed your link at our site. By the way, I truly enjoy the site',
            'image' => '1.jpg',
        ],
        [
            'name' => 'JOE HARRY',
            'message' => ' have bookmarked your homepage, it\'s a great place to trade and invest',
            'image' => 'member2.jpg',
        ],
        [
            'name' => 'TYRONE J.',
            'message' => 'its been perfect i would recommend this page to anyone who needs small steps to start trading',
            'image' => 'passm.jpg',
        ],
        [
            'name' => 'Tami Jones.',
            'message' => 'I Love It !!! I’m Glad I Found Out About Them And I’m Spreading The Word!!!',
            'image' => 'pass.jpeg',
        ],
        [
            'name' => 'MICHAEL KROMRIE',
            'message' => 'Friendly and quick service, they do not hesitate to help with a problem if they are able',
            'image' => 'k.jpg',
        ],
        [
            'name' => 'ANNNIE',
            'message' => 'GOOD ,very fast,and very reliable. recomending!”',
            'image' => 'passportk.png',
        ],
    ];
    

    public const FAQS = [
        [
            'question' => 'How can I invest with NgTrade xPay Investment ?',
            'answer' => 'To make a investment you must first become a member of Ngtradexpay. Once you are signed up, you can make your first deposit. All deposits must be made through the Members Area. You can login using the member username and password you receive when signup.',
            'show' => false,
        ],
        [
            'question' => 'I wish to invest with NgTrade xPay Investment but I don\'t  have any ecurrency account. What should I do?',
            'answer' => 'You can open a free PM account here : www.blockchian.com',
            'show' => false,
        ],
        [
            'question' => 'How do I open my NgTrade xPay Investment HYIP Account?',
            'answer' => 'It\'s quite easy and convenient. On the homepage or on menu button click on signup, fill in the registration form and then press "Register".',
            'show' => false,
        ],

        [
            'question' => 'Which e-currencies do you accept?',
            'answer' => 'We accept all  e-currencies.',
            'show' => false,
        ],
        [
            'question' => 'How can I withdraw funds?',
            'answer' => 'Login to your account using your username and password and check the Withdraw section.',
            'show' => false,
        ],
        [
            'question' => 'How long does it take for my deposit to be added to my account?',
            'answer' => 'Your account will be updated as fast, as you deposit.',
            'show' => false,
        ],

        [
            'question' => 'How can I change my e-mail address or password?',
            'answer' => 'Log into your  NgTrade xPay Investment account and click on the "Account Information". You can change your e-mail address and password there.',
            'show' => false,
        ],

        [
            'question' => 'What if I can\'t log into my account because I forgot my password?',
            'answer' => 'Click forgot password link, type your username or e-mail and you\'ll receive your account information.',
            'show' => false,
        ],

        [
            'question' => 'Does a daily profit paid directly to my currency account?',
            'answer' => 'No, profits are gathered on your NgTrade xPay Investment account and you can withdraw them anytime.',
            'show' => false,
        ],

        [
            'question' => '
        How do you calculate the interest on my account?',
            'answer' => 'Depending on each plan. Interest on your NgTrade xPay Investment HYIP account is acquired Daily, Weekly, Bi-Weekly, Monthly and Yearly and credited to your available balance at the end of each day.',
            'show' => false,
        ],

        [
            'question' => 'Can I do a direct deposit from my account balance?',
            'answer' => 'Yes! To make a deposit from your NgTrade xPay Investment HYIP account balance. Simply login into your members account and click on Make Deposit ans select the Deposit from Account Balance Radio button.',
            'show' => false,
        ],

        [
            'question' => 'Can I make an additional deposit to NgTrade xPay Limited HYIP account once it has been opened?',
            'answer' => 'Yes, you can but all transactions are handled separately.',
            'show' => false,
        ],

        [
            'question' => '
        After I make a withdrawal request, when will the funds be available on my ecurrency account?',
            'answer' => 'Funds are usually available within 12 business hours.',
            'show' => false,
        ],

        [
            'question' => 'Can I lose money?',
            'answer' => 'There is a no risk involved with investing in all high yield investment programs.',
            'show' => false,
        ],

        [
            'question' => '
            May I open several accounts in your program?',
            'answer' => 'No. If we find that one member has more than one account, the entire funds will be frozen.',
            'show' => false,
        ],

        [
            'question' => 'I want to invest a large amount. Will I have privileges, voting rights, or anything else?
        ',
            'answer' => 'There are three steps in getting started:
        Signup for an account
        Request for deposit
        Confirm payment
        Then start earning!',
            'show' => false,
        ],

    ];

    function __construct()
    {
        $this->conn = Database::connect();
    }

    function isVariablesMissing(...$varibles): bool
    {
        $missing = false;

        foreach ($varibles as $v) {
            if ($v === null) {
                $missing = true;
                break;
            }
        }
        return $missing;
    }

    function generateToken(string $payload, string $secret, int $expiresInSeconds): string
    {
        $secretHash = password_hash($secret, PASSWORD_DEFAULT);
        $payload64Encoded = base64_encode($payload);
        $expires64Encoded = base64_encode(time() + $expiresInSeconds);
        return base64_encode($payload64Encoded . ',' . $secretHash . ',' . $expires64Encoded);
    }

    function verifyToken(string $token, string $secret): ?string
    {
        $payload = null;
        $decodedPayload = base64_decode($token);
        $tokenBreak = explode(',', $decodedPayload);
        if (count($tokenBreak) === 3) {
            list($payload64Encoded, $hash, $expires64Encoded) = $tokenBreak;
            if (password_verify($secret, $hash)) {
                $expiresInSeconds = base64_decode($expires64Encoded);
                if ($expiresInSeconds > time()) {
                    $payload = base64_decode($payload64Encoded);
                }
            }
        }
        return $payload;
    }

    function appHasAdmin(): array
    {
        $sql = "SELECT id FROM admin;";
        $prepStmt = $this->conn->prepare($sql);
        $prepStmt->execute();
        $result = $prepStmt->get_result();
        return ['success' => $result->num_rows > 0];
    }
    
    function ldaw(): array
    {
        $response = [ 'deposits' => [],'withdrawals' => []];
        
        //getting deposits
        $sql = "SELECT deposits.amount, deposits.currency_id, users.first_name FROM deposits
        INNER JOIN users ON deposits.user_id = users.id
        WHERE deposits.is_payment_confirmed = 1
        ORDER BY deposits.id DESC LIMIT 10;
        ";
        $prepStmt = $this->conn->prepare($sql);
        $prepStmt->execute();
        $result = $prepStmt->get_result();
        $rows = $result->fetch_all(MYSQLI_ASSOC);
        foreach($rows as $row){
            array_push($response['deposits'], [
                'name' => $row['first_name'],
                'amount' => $row['amount'],
                'icon' => 'ion-logo-bitcoin'
            ]);
        }
        
        //getting withdrawals
        $sql = "SELECT withdrawals.amount, withdrawals.currency_id, users.first_name FROM withdrawals
        JOIN users ON withdrawals.user_id = users.id
        WHERE withdrawals.date_approved IS NOT NULL
        ORDER BY withdrawals.id DESC LIMIT 10;
        ";
        $prepStmt = $this->conn->prepare($sql);
        $prepStmt->execute();
        $result = $prepStmt->get_result();
        $rows = $result->fetch_all(MYSQLI_ASSOC);
        foreach($rows as $row){
            array_push($response['withdrawals'], [
                'name' => $row['first_name'],
                'amount' => $row['amount'],
                'icon' => 'ion-logo-bitcoin'
            ]);
        }
        return $response;
    }

    function getSettings(): array
    {
        return App::SETTINGS;
    }

    function siteVisits(): void
    {
        $ip = $_SERVER['REMOTE_ADDR'];
        $date = date('Y-m-d');
        $sql = "SELECT id, ip_addresses, unique_ip_addresses FROM visits WHERE `date` = '$date'";
        $prepStmt = $this->conn->prepare($sql);
        $prepStmt->execute();
        $result = $prepStmt->get_result();
        if ($result->num_rows === 1) {
            // update
            $row = $result->fetch_assoc();
            $id = $row['id'];
            $addresses = json_decode($row['ip_addresses'], true);
            $uniqueAddresses = json_decode($row['unique_ip_addresses'], true);

            array_push($addresses, $ip);
            if (array_search($ip, $uniqueAddresses) < 0) {
                array_push($uniqueAddresses, $ip);
            }

            $jsonAddr = json_encode($addresses);
            $jsonUniqueAddr = json_encode($uniqueAddresses);

            $sql = "UPDATE visits SET ip_addresses = ?, unique_ip_addresses = ? WHERE id = ?";
            $prepStmt = $this->conn->prepare($sql);
            $prepStmt->bind_param('ssi', $jsonAddr, $jsonUniqueAddr, $id);
            $prepStmt->execute();
        } else {
            //insert
            $sql = "INSERT INTO visits
            (`date`, ip_addresses, unique_ip_addresses)
            VALUES(?, ?, ?);
            ";
            $jsonAddr = json_encode([$ip]);
            $jsonUniqueAddr = json_encode([$ip]);
            $prepStmt = $this->conn->prepare($sql);
            $prepStmt->bind_param('sss', $date, $jsonAddr, $jsonUniqueAddr);
            $prepStmt->execute();
        }
    }
}
