<?php
require_once 'app.class.php';
require_once 'phpmailer/src/PHPMailer.php';
require_once 'phpmailer/src/Exception.php';
require_once 'phpmailer/src/OAuth.php';
require_once 'phpmailer/src/POP3.php';
require_once 'phpmailer/src/SMTP.php';

class Mailer
{

    private $settings = null;
    private const MAIL_SETTINGS = [
        'SMTPDebug' => 0,
        'Host' => 'ngtradexpay.com',
        'SMTPAuth' => true,
        'Username' => 'noreply@ngtradexpay.com', 
        'Password' => 'C0gQ$2%fJ',
        'SMTPSecure' => "ssl",
        'Port' => 465,
        'From' => 'noreply@ngtradexpay.com',
        'FromName' => 'ngxtradexpay',
    ];

    public function __construct()
    {
        $app = new App();
        $this->settings = $app->getSettings();
    }

    private function createHTML(string $content, string $title)
    {
        $siteName = $this->settings['site_name'];
        $logo = 'https://www.'.$this->settings['domain'].'/assets/images/logo.png';
        return "
        <html>
        <head>
          <title>$title | $siteName</title>
          <style>
            section{
                width: 90%;
                padding: 10px 5%;
                text-align: left;
                word-break:break-all;
                font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
            }
            section button {
                position: relative;
                display: inline-block;
                padding: .8em;
                border: 1px solid transparent;
                border-radius: 3px;
                background-color: #e25822;
                color: #ffffff;
                outline: none;
                font-family: inherit;
                font-size: 13px;
                font-weight: normal;
                line-height: 1.15384615;
                text-align: center;
                text-decoration: none;
                cursor: pointer;
            }
            footer{
                width: 90%;
                padding: 10px 5%;
                text-align: right;
            }
          </style>
        </head>
        <body
          <header style='width: 100%; text-align: center;'>
          <img style='width: 100px; margin: 0 auto;'  src='$logo'>
          </header>
          <section id='content'>
          $content
          </section>
          <footer>
           Team $siteName
          </footer>
        </body>
        </html>
        ";
    }

    public function sendPasswordResetMail(string $name, string $token, string $to): bool
    {
        $success = false;
        $link = "https://www." . $this->settings['domain'] . "/reset-password/" . $token;
        $text = "
          Hello $name, You request a password reset for your account <br>
          Click to reset password <br>
          <a href='$link' alt='Click here to Reset password'><button>Reset Password</button></a><br><br>
        ";

        $html = $this->createHTML($text, 'Password Reset');

        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        
        $subject = "Password Reset - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }

    public function sendProfitMail(string $to, float $amount, float $investmentAmount, string $name): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, A profit of $amount USD has added to your investment of $investmentAmount. Login to view more details
        ";

        $html = $this->createHTML($text, "Profit Notification -  $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        
        $subject = "Profit Notification - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    public function sendReferralMail(string $to, string $name, string $referralName): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, A user $referralName just signed up using your referral link. Login for more details
        ";

        $html = $this->createHTML($text, "Referral Notice - $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        
        $subject = "Referral Notice - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    
    public function sendConfirmPaymentMail(string $to, float $amount, string $name): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, Your payment of $amount USD has been marked as paid. We will confirm and approved your payment shortly.
        ";

        $html = $this->createHTML($text, "Payment Notification -  $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        
        $subject = "Payment Notification - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }

    public function sendInvestmentAprrovalMail(string $to, float $amount, string $name): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, Your investment of $amount USD has been approved 
        ";

        $html = $this->createHTML($text, "Payment Approval - $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        
        $subject = "Payment Approval - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    public function sendWithdrawalNotificationMail(string $to, float $amount, string $name): bool {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, Your application withdrawal of $amount USD has been received and will be looked into shortly
        ";

        $html = $this->createHTML($text, "Withdrawal Request - $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        
        $subject = "Withrawal Request - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    public function sendWithdrawalAprrovalMail(string $to, float $amount, string $name): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, $amount USD has been successfully sent to your wallet address
        ";

        $html = $this->createHTML($text, "Withdrawal Approval - $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        $subject = "Withrawal Approval - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    private function mail(string $to, string $subject, string $html, $headers){
        $mail = new PHPMailer\PHPMailer\PHPMailer(true);

        $mail->SMTPDebug = Mailer::MAIL_SETTINGS['SMTPDebug'];
        $mail->isSMTP();
        $mail->Host = Mailer::MAIL_SETTINGS['Host'];
        $mail->SMTPAuth = Mailer::MAIL_SETTINGS['SMTPAuth'];
        $mail->Username = Mailer::MAIL_SETTINGS['Username'];
        $mail->Password = Mailer::MAIL_SETTINGS['Password'];
        $mail->SMTPSecure = Mailer::MAIL_SETTINGS['SMTPSecure'];
        $mail->Port = Mailer::MAIL_SETTINGS['Port'];

        $mail->From = Mailer::MAIL_SETTINGS['From'];
        $mail->FromName = Mailer::MAIL_SETTINGS['FromName'];

        $mail->addAddress($to);

        $mail->isHTML(true);

        $mail->Subject = $subject;
        $mail->Body = $html;
        return $mail->send();
    }

    public function sendPasswordResetMailAdmin(string $name, string $token, string $to): bool
    {
        $success = false;
        $link = "https://www." . $this->settings['domain'] . "/admin/reset-password/" . $token;
        $text = "
          Hello $name, You request a password reset for your account <br>
          Click to reset password <br>
          <a href='$link'><button>Reset Password</button></a><br><br>
        ";

        $html = $this->createHTML($text, 'Password Reset');
        
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        $subject = "Password Reset - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }

    public function sendWelcomeMail(string $name, string $to): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name! Welcome to $siteName,  <br>
          Join the thousands of users that invest with $siteName
          <br>
          Once again welcome.
        ";

        $html = $this->createHTML($text, "Welcome to $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        $subject = "Welcome to $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }

    public function sendVerifyMail(string $name, string $token, string $to): bool
    {
        $success = false;
        $link = "https://www." . $this->settings['domain'] . "/complete-register/" . $token;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, to complete your signup process, verify your email address <br>
          Click to verify Email Address <br>
          <a href='$link'  alt='Click here to verify your account'><button>Verify Email</button></a><br><br>
        ";

        $html = $this->createHTML($text, 'Verify Email');
        
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'From <info@ngtradexpay.com>' . "\r\n";
        $subject = "Verification Mail - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
}
