-- MySQL dump 10.13  Distrib 8.0.33, for Linux (x86_64)
--
-- Host: localhost    Database: linktrad_db
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `linktrad_db`
--


--
-- Table structure for table `admin`
--

DROP TABLE IF EXISTS `admin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `admin` (
  `id` int NOT NULL AUTO_INCREMENT,
  `first_name` varchar(100) NOT NULL,
  `last_name` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  `password` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `admin_UN` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin`
--

LOCK TABLES `admin` WRITE;
/*!40000 ALTER TABLE `admin` DISABLE KEYS */;
INSERT INTO `admin` (`id`, `first_name`, `last_name`, `email`, `password`) VALUES (1,'Link','Trade','linktrade00009@gmail.com','$2y$10$.g7mKZ5fOFG9au5Z/M8LLe7XhiJNxuEE.8Jge2JaO8UUlojPNB6a2');
/*!40000 ALTER TABLE `admin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deposits`
--

DROP TABLE IF EXISTS `deposits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deposits` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `amount` float NOT NULL,
  `investment_plan_id` int NOT NULL,
  `user_id` bigint NOT NULL,
  `is_payment_made` tinyint(1) NOT NULL DEFAULT '0',
  `currency_id` int DEFAULT NULL,
  `wire_transfer_details` longtext,
  `is_payment_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `date_generated` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_confirmed` timestamp NULL DEFAULT NULL,
  `profits` longtext,
  PRIMARY KEY (`id`),
  KEY `deposits_user_id_IDX` (`user_id`) USING BTREE,
  CONSTRAINT `deposits_users_FK` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deposits`
--

LOCK TABLES `deposits` WRITE;
/*!40000 ALTER TABLE `deposits` DISABLE KEYS */;
INSERT INTO `deposits` (`id`, `amount`, `investment_plan_id`, `user_id`, `is_payment_made`, `currency_id`, `wire_transfer_details`, `is_payment_confirmed`, `date_generated`, `date_confirmed`, `profits`) VALUES (1,7500,4,1,0,1,NULL,0,'2023-08-16 07:56:17',NULL,NULL),(2,9000,4,2,1,1,NULL,1,'2023-08-26 21:12:59','2023-08-22 16:34:47','[{\"date\":\"2023-08-22\",\"amount\":2250},{\"date\":\"2023-08-26\",\"amount\":30000}]'),(3,203,1,3,1,NULL,'{\"name\":\"McConaughey Leah\",\"bankName\":\"BOA\",\"country\":\"United States\"}',1,'2023-09-07 19:20:28','2023-09-07 19:17:19','[{\"date\":\"2023-09-07\",\"amount\":4000}]'),(4,1000,2,3,1,1,NULL,1,'2023-09-07 19:20:06','2023-09-07 19:17:32','[{\"date\":\"2023-09-07\",\"amount\":4000}]'),(5,200,1,4,1,1,NULL,1,'2023-09-07 19:19:58','2023-09-07 19:17:27','[{\"date\":\"2023-09-07\",\"amount\":4000}]'),(6,1000,2,4,1,NULL,'{\"name\":\"Anita Powell \",\"bankName\":\"Lloyds Bank \",\"country\":\"United Kingdom\"}',1,'2023-09-07 19:19:50','2023-09-07 19:17:23','[{\"date\":\"2023-09-07\",\"amount\":3000}]'),(7,200,1,5,1,1,NULL,1,'2023-09-08 13:11:41','2023-09-08 13:11:41',NULL),(8,2500,2,5,1,NULL,'{\"name\":\"ValentynaZingg \",\"bankName\":\"Lombard Odier\",\"country\":\"Switzerland\"}',1,'2023-09-08 13:11:37','2023-09-08 13:11:37',NULL),(9,3000,3,4,1,1,NULL,1,'2023-09-13 14:48:52','2023-09-13 14:48:52',NULL),(10,3000,3,3,1,1,NULL,1,'2023-09-13 14:49:00','2023-09-13 14:49:00',NULL),(11,40000,5,7,1,1,NULL,1,'2023-09-14 22:50:32','2023-09-14 22:49:33','[{\"date\":\"2023-09-14\",\"amount\":52000}]'),(12,40000,5,2,1,1,NULL,1,'2023-09-14 23:19:53','2023-09-14 23:19:53',NULL),(13,200,1,9,1,1,NULL,1,'2023-10-12 18:09:03','2023-10-12 18:09:03',NULL),(14,1000,2,9,1,NULL,'{\"name\":\"Bethany Texas \",\"bankName\":\"United Bank of America \",\"country\":\"United States\"}',1,'2023-10-12 18:09:03','2023-10-12 18:09:03',NULL),(15,5000,4,3,1,1,NULL,1,'2023-10-12 18:09:05','2023-10-12 18:09:05',NULL),(16,5000,4,5,1,1,NULL,1,'2023-10-12 18:09:17','2023-10-12 18:09:17',NULL),(17,10000,5,5,1,1,NULL,1,'2023-10-12 18:09:13','2023-10-12 18:09:13',NULL),(18,10000,5,3,1,1,NULL,1,'2023-10-12 18:09:09','2023-10-12 18:09:09',NULL),(19,5000,4,2,1,1,NULL,1,'2023-10-19 00:07:09','2023-10-19 00:07:09',NULL),(20,20000,5,3,1,1,NULL,1,'2023-10-24 10:12:56','2023-10-24 10:12:56',NULL),(21,40000,5,2,1,1,NULL,1,'2023-11-17 18:37:55','2023-11-17 18:37:55',NULL),(26,35000,5,2,1,1,NULL,1,'2023-12-01 19:46:25','2023-12-01 19:46:25',NULL),(27,200,1,14,1,1,NULL,1,'2023-12-14 12:43:32','2023-12-13 12:31:02','[{\"date\":\"2023-12-14\",\"amount\":220}]'),(28,1000,2,14,1,1,NULL,1,'2023-12-16 14:58:33','2023-12-16 14:58:33',NULL),(29,2000,2,14,1,1,NULL,1,'2023-12-19 10:07:18','2023-12-19 10:07:18',NULL),(30,3000,3,14,1,1,NULL,1,'2023-12-28 17:58:08','2023-12-27 12:00:41','[{\"date\":\"2023-12-28\",\"amount\":450}]'),(31,5000,4,14,1,1,NULL,1,'2023-12-27 12:00:46','2023-12-27 12:00:46',NULL),(32,200,1,14,0,1,NULL,0,'2024-01-10 10:55:45',NULL,NULL),(33,3400,3,14,0,1,NULL,0,'2024-01-10 11:51:17',NULL,NULL),(34,10000,5,19,0,1,NULL,0,'2024-01-10 13:54:09',NULL,NULL),(35,10000,5,19,0,1,NULL,0,'2024-01-10 13:56:12',NULL,NULL),(36,3000,3,2,1,1,NULL,1,'2024-02-07 00:12:09','2024-02-07 00:12:09',NULL),(37,6000,4,14,1,1,NULL,1,'2024-01-15 22:23:47','2024-01-15 17:58:16','[{\"date\":\"2024-01-15\",\"amount\":900}]'),(38,20000,5,2,1,1,NULL,1,'2024-02-07 00:12:03','2024-02-07 00:12:03',NULL);
/*!40000 ALTER TABLE `deposits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `referral_bonus`
--

DROP TABLE IF EXISTS `referral_bonus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `referral_bonus` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL,
  `deposit_id` bigint NOT NULL,
  `amount` float NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `is_claimed` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `deposit_id` (`deposit_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `referral_bonus`
--

LOCK TABLES `referral_bonus` WRITE;
/*!40000 ALTER TABLE `referral_bonus` DISABLE KEYS */;
/*!40000 ALTER TABLE `referral_bonus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `top_ups`
--

DROP TABLE IF EXISTS `top_ups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `top_ups` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL,
  `amount` float NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `top_ups`
--

LOCK TABLES `top_ups` WRITE;
/*!40000 ALTER TABLE `top_ups` DISABLE KEYS */;
INSERT INTO `top_ups` (`id`, `user_id`, `amount`, `date`, `description`) VALUES (1,2,10000,'2023-09-07 19:19:20',''),(2,10,2000,'2023-11-26 05:51:39','');
/*!40000 ALTER TABLE `top_ups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `first_name` varchar(100) NOT NULL,
  `last_name` varchar(100) NOT NULL,
  `country` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `email` varchar(100) NOT NULL,
  `password` text,
  `is_email_verified` tinyint(1) NOT NULL DEFAULT '0',
  `date` datetime NOT NULL,
  `is_suspended` tinyint(1) NOT NULL DEFAULT '0',
  `image` text,
  `currencies_accounts` longtext,
  `username` varchar(100) NOT NULL,
  `referral_id` bigint DEFAULT NULL,
  `tfa_code` varchar(10) DEFAULT NULL,
  `tfa_code_expires` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `last_login` timestamp NULL DEFAULT NULL,
  `current_login` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_UN` (`email`),
  UNIQUE KEY `users_username_IDX` (`username`) USING BTREE,
  KEY `users_referrer_id_IDX` (`referral_id`) USING BTREE,
  CONSTRAINT `users_users_FK` FOREIGN KEY (`referral_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`id`, `first_name`, `last_name`, `country`, `phone`, `email`, `password`, `is_email_verified`, `date`, `is_suspended`, `image`, `currencies_accounts`, `username`, `referral_id`, `tfa_code`, `tfa_code_expires`, `last_login`, `current_login`) VALUES (1,'Trina','Carter','United States','00000000000','trinacartermia@gmail.com','miacarter',0,'2023-08-16 03:16:42',0,NULL,'[{\"currencyId\":1,\"walletAddress\":\"1BvBMSEYstWetqTFn5Au4m4GFg7xJaNVN2\"}]','Catrina',NULL,NULL,'2023-08-16 07:16:42',NULL,'2023-08-16 07:16:42'),(2,'Mariela','Rodriquez','United Kingdom','08101642114','marielarodriquezz@gmail.com','Chukwudera',0,'2023-08-22 11:40:51',0,'es-64e4d92d40c112.11227090.jpeg','[{\"currencyId\":1,\"walletAddress\":\"6H7oghyZa4mZUSwGdSmDAJKoAxBK3FNDbd\"}]','Mariela',NULL,'65d4f1','2024-02-20 19:08:18',NULL,'2024-02-20 18:38:17'),(3,'Leah','McConaughey','United States','08102359271','mcconaugheyleah@gmail.com','08038036625',0,'2023-09-07 14:23:43',0,'es-64fa1a91149620.28859466.jpg','[{\"currencyId\":1,\"walletAddress\":\"5srwr474dg671ghkv06vk74f\"}]','McConaugheyLeah',NULL,'652828','2023-10-12 17:39:29',NULL,'2023-10-12 17:09:26'),(4,'Anita','Powell','United Kingdom','08080751147','anitapowell019@gmail.com','08038036625',0,'2023-09-07 14:56:16',0,'es-64fa239408efb0.22386348.jpg','[{\"currencyId\":1,\"walletAddress\":\"R5g857Hs8D84nlbZj0oE7\"}]','AnitaPowell',NULL,'650789','2023-09-17 23:51:09',NULL,'2023-09-17 23:21:08'),(5,'Valentyna','Zingg','Switzerland','08108865445','valentynazingg1@gmail.com','08038036625',0,'2023-09-08 07:43:26',0,NULL,'[{\"currencyId\":1,\"walletAddress\":\"G2TK7hwi80hPn8g290v1K4bsqvu88\"}]','ValentynaZingg',NULL,'65371a','2023-10-24 01:46:10',NULL,'2023-10-24 01:16:09'),(6,'fvfgdfgd','rhhryhyhuy','India','09887657190','lilehody@afia.pro','Vpk@1234',0,'2023-09-13 02:43:23',0,NULL,NULL,'pinky40',NULL,NULL,'2023-09-13 06:43:23',NULL,'2023-09-13 06:43:23'),(7,'Michael','Miroshnik','Australia','09069478817','eltonjeff80@gmail.com','Waterlife@80',0,'2023-09-14 18:21:46',0,'es-65038918ed9484.66503127.jpeg','[{\"currencyId\":1,\"walletAddress\":\"bc1q700fa2ugnlan2rwr5v2xjs4q79p0tqh3426ax0\"}]','Drmichael',2,'650390','2023-09-14 23:30:32',NULL,'2023-09-14 22:58:34'),(8,'dfdf','dfdf','Bahrain','978551870','d94b5618307@theeyeoftruth.com','Vpk@12345',0,'2023-09-25 01:16:55',0,NULL,'[{\"currencyId\":1,\"walletAddress\":\"bc1q656gca38rm2dgcv2l5wgq8sxxvx8xcgh687prp\"}]','vpkuser1',NULL,NULL,'2023-09-25 05:16:55',NULL,'2023-09-25 05:16:56'),(9,'Bethany','Texas','United States','08038036625','bethanytexass@gmail.com','08038036625',0,'2023-09-29 05:07:37',0,NULL,'[{\"currencyId\":1,\"walletAddress\":\"0xBaF62670442a5Cbcde62e7f857D4AF29506aC765\"}]','Bethany',NULL,NULL,'2023-09-29 09:07:37',NULL,'2023-09-29 09:07:38'),(11,'Lucas','Batista','Brazil','5519999583833','lucas_qs@live.com','35503897',0,'2023-10-23 09:49:37',0,NULL,NULL,'Lucas',2,NULL,'2023-10-23 13:49:37',NULL,'2023-10-23 13:49:37'),(12,'Motuki','Manyanye','South Africa','0647277985','mtkmanyanye484@gmail.com','Tukzin#%99',0,'2023-10-31 15:05:01',0,NULL,'[{\"currencyId\":2,\"walletAddress\":\"TFc2aFJXE2gcTtpHNd4bh7txsKGN1BhD1W\"}]','mtkmanyanye484',2,'6541c8','2023-11-01 04:10:06',NULL,'2023-11-01 03:40:05'),(13,'angelina','rose','Åland Islands','987417854854','ok2aadzzyd@myinfoinc.com','Vpk@12345',0,'2023-12-07 06:46:11',0,NULL,NULL,'angelina',NULL,NULL,'2023-12-07 11:46:11',NULL,'2023-12-07 11:46:12'),(14,'Feng','Mian','United States','07063491162','fengmian018@gmail.com','07066939824e',0,'2023-12-13 12:12:03',0,'es-6579a9768bce99.88863341.png','[{\"currencyId\":1,\"walletAddress\":\"bc1quy3sdt72cxy2cxlxruxcsltuuky7pvx4et97e7\"}]','Fengmian',NULL,'65a386','2024-01-14 07:29:39',NULL,'2024-01-14 06:59:38'),(15,'Andre','De souza','Aruba','2975689178','andrendesouza09@gmail.com','Camila0715&',0,'2023-12-18 15:09:13',0,NULL,NULL,'Andre',2,'658070','2023-12-18 16:47:43',NULL,'2023-12-18 16:17:42'),(16,'wagner','baldassi','Brazil','19993963644','wagvem@hotmail.com','fengmian',0,'2023-12-18 16:58:48',0,NULL,NULL,'wagnerjb',NULL,'6581df','2023-12-19 19:18:03',NULL,'2023-12-19 18:48:03'),(17,'Jhon','Rivas','Aruba','5633454','powersalsa54@hotmail.com','gruponiche5745',0,'2024-01-08 15:42:59',0,NULL,'[{\"currencyId\":1,\"walletAddress\":\"14Ecaap86iKNsaieBoD947aab3BB9a4DgD\"}]','Poweraruba',NULL,NULL,'2024-01-08 15:42:59',NULL,'2024-01-08 15:42:59'),(18,'Vagner','Baldasi','Brazil','993963644','wagnerjb.baldassi@gmail.com','fengmian',0,'2024-01-09 23:32:03',0,NULL,NULL,'Wagner',NULL,'65a404','2024-01-14 16:27:07',NULL,'2024-01-14 15:57:05'),(19,'Raimundo','Alves de Souza','Brazil','92992133259','raimundoalvesegito@gmail.com','Bc24692673',0,'2024-01-10 12:23:08',0,NULL,'[{\"currencyId\":1,\"walletAddress\":\"\\u2022 Endere\\u00e7o IP 2804:6354:539:2f00:a458:9cfc:272d:340e\"}]','Raimundo22',NULL,NULL,'2024-01-10 12:23:08',NULL,'2024-01-10 12:23:08'),(20,'sds','sdsd','Bangladesh','34343434','vejulazu@imagepoet.net','Poongodi123',0,'2024-01-10 12:41:48',0,NULL,NULL,'rosejack34',NULL,NULL,'2024-01-10 12:41:48',NULL,'2024-01-10 12:41:49'),(21,'Moises','Marcos Nunes de Souza','Brazil','31998970192','moisesmarcos48@gmail.com','Moises22',0,'2024-01-11 02:05:40',0,NULL,'[{\"currencyId\":1,\"walletAddress\":\"bc1qdlpglrza9f6cc2kpr98lrvgyjx5f8xajtqsf57\"}]','Moises',2,NULL,'2024-01-11 02:05:40',NULL,'2024-01-11 02:05:40'),(22,'Flavia','Heejin','Brazil','+17019518986','flaviahee@gmail.com','Treasure102',0,'2024-01-12 01:09:54',0,NULL,NULL,'Flaviahee',NULL,NULL,'2024-01-12 01:09:54',NULL,'2024-01-12 01:09:54');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visits`
--

DROP TABLE IF EXISTS `visits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visits` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `date` date NOT NULL,
  `ip_addresses` longtext NOT NULL,
  `unique_ip_addresses` longtext NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `visits_UN` (`date`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visits`
--

LOCK TABLES `visits` WRITE;
/*!40000 ALTER TABLE `visits` DISABLE KEYS */;
INSERT INTO `visits` (`id`, `date`, `ip_addresses`, `unique_ip_addresses`) VALUES (1,'2023-08-09','[\"144.76.67.169\"]','[\"144.76.67.169\"]');
/*!40000 ALTER TABLE `visits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `withdrawals`
--

DROP TABLE IF EXISTS `withdrawals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `withdrawals` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `amount` float NOT NULL,
  `user_id` bigint NOT NULL,
  `currency_id` int DEFAULT NULL,
  `date_requested` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_approved` timestamp NULL DEFAULT NULL,
  `proof` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci,
  `reject_message` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `withdrawals_user_id_IDX` (`user_id`) USING BTREE,
  CONSTRAINT `withdrawals_users_FK` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `withdrawals`
--

LOCK TABLES `withdrawals` WRITE;
/*!40000 ALTER TABLE `withdrawals` DISABLE KEYS */;
INSERT INTO `withdrawals` (`id`, `amount`, `user_id`, `currency_id`, `date_requested`, `date_approved`, `proof`, `reject_message`) VALUES (1,3250,2,1,'2023-08-26 21:20:12','2023-08-26 21:20:12',NULL,NULL),(2,5400,2,1,'2023-08-26 21:20:24','2023-08-26 21:20:24',NULL,NULL),(3,6300,2,1,'2023-08-26 21:20:31','2023-08-26 21:20:31',NULL,NULL),(4,6250,2,1,'2023-09-04 16:28:54','2023-09-04 16:28:54',NULL,NULL),(5,110,4,1,'2023-09-08 13:11:20','2023-09-08 13:11:20',NULL,NULL),(6,210,4,1,'2023-09-08 13:11:15','2023-09-08 13:11:15',NULL,NULL),(7,1120,4,1,'2023-09-08 13:11:08','2023-09-08 13:11:08',NULL,NULL),(8,210,3,1,'2023-09-08 13:11:04','2023-09-08 13:11:04',NULL,NULL),(9,1120,3,1,'2023-09-08 13:11:00','2023-09-08 13:11:00',NULL,NULL),(10,210,5,1,'2023-09-13 14:49:33','2023-09-13 14:49:33',NULL,NULL),(11,2120,5,1,'2023-09-13 14:49:58','2023-09-13 14:49:58',NULL,NULL),(12,12000,7,NULL,'2023-09-14 23:55:51','2023-09-14 23:55:51',NULL,NULL),(13,12000,7,1,'2023-09-14 23:55:43','2023-09-14 23:55:43',NULL,NULL),(14,3450,3,1,'2023-09-29 11:14:00','2023-09-29 11:14:00',NULL,NULL),(15,7,2,NULL,'2023-10-10 07:53:28',NULL,NULL,NULL),(16,7800,2,NULL,'2023-10-10 07:57:23','2023-10-10 07:57:23',NULL,NULL),(17,7800,2,NULL,'2023-10-10 07:57:06','2023-10-10 07:57:06',NULL,NULL),(18,6560,2,1,'2023-10-19 17:26:37','2023-10-19 17:26:37',NULL,NULL),(19,3450,3,1,'2023-10-23 21:37:10','2023-10-23 21:37:10',NULL,NULL),(20,3450,5,1,'2023-10-24 10:12:40','2023-10-24 10:12:40',NULL,NULL),(23,25300,2,NULL,'2023-10-30 15:13:57','2023-10-30 15:13:57',NULL,NULL),(24,15600,2,0,'2023-10-30 15:14:10','2023-10-30 15:14:10',NULL,NULL),(25,10090,2,1,'2023-11-08 17:08:50','2023-11-08 17:08:50',NULL,NULL),(29,220,14,1,'2023-12-14 16:31:58','2023-12-14 16:31:58',NULL,NULL),(30,1120,14,NULL,'2023-12-17 13:00:26','2023-12-17 13:00:26',NULL,NULL),(31,1200,14,NULL,'2023-12-17 13:00:21','2023-12-17 13:00:21',NULL,NULL),(32,3450,14,1,'2023-12-28 17:57:50','2023-12-28 17:57:50',NULL,NULL),(34,4500,2,NULL,'2024-01-10 23:56:02','2024-01-10 23:56:02',NULL,NULL),(35,4500,2,NULL,'2024-01-14 22:28:32','2024-01-14 22:28:32',NULL,NULL),(36,4360,14,NULL,'2024-01-14 22:29:23','2024-01-14 22:29:23',NULL,NULL),(37,5650,2,1,'2024-02-07 00:17:06','2024-02-07 00:17:06',NULL,NULL),(38,11350,2,1,'2024-02-16 02:06:47','2024-02-16 02:06:47',NULL,NULL),(39,8900,2,1,'2024-02-16 02:07:52','2024-02-16 02:07:52',NULL,NULL),(40,10500,2,1,'2024-02-16 02:09:09','2024-02-16 02:09:09',NULL,NULL);
/*!40000 ALTER TABLE `withdrawals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping events for database 'linktrad_db'
--

--
-- Dumping routines for database 'linktrad_db'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-02-22 12:19:17
